Bug 5275 - no way to change framework by editing
Summary: no way to change framework by editing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-04 16:03 UTC by Nicole C. Engard
Modified: 2012-10-25 23:03 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (930 bytes, patch)
2011-04-07 12:38 UTC, Paul Poulain
Details | Diff | Splinter Review
Signed off patch (1.02 KB, patch)
2011-04-07 14:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-10-04 16:03:11 UTC
I am editing a record in cataloging and I have changed the framework, made changes to the marc fields and hit save. When I hit save warnings about required fields in the newly selected framework appear, but after I hit save the framework is not changes, the book is still using the original framework.
Comment 1 Nicole C. Engard 2010-10-04 16:07:31 UTC
These steps (just to clarify)

1. open existing bib record
2. click edit and choose edit record
3. next to change framework it says 'books'
4. i choose default from the change framework menu
5. i edit the marc record, changing data in a few fields
6. i click save
7. i click edit and edit record only to see that the framework is still saying 'books' even though I saved it with the default selected.
Comment 2 Jared Camins 2010-10-04 16:31:15 UTC
This problem seems to be similar to bug 4935. It is possible to change a record from the Default framework to another framework, but not the other way around. I think this is because the Default framework does not have an identifier and so cannot be searched for or selected.
Comment 3 bchurch 2011-01-07 16:15:39 UTC
Koha is not saving changes from the Default framework to another framework. I followed the same steps Nicole listed and the framework reverted back to Default when I went back to the record.
Comment 4 bchurch 2011-01-07 17:41:54 UTC
Please note that there appears to happen if you change the Default framework to Serials.
Comment 5 Paul Poulain 2011-04-07 08:50:15 UTC
this problem has been fixed on BibLibre git, and should be proposed upstream during hackfest week.
If the one who fills it misses this bug & file a new entry, feel free to connect them !
Comment 6 Paul Poulain 2011-04-07 12:38:55 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2011-04-07 14:16:38 UTC
Created attachment 3801 [details] [review]
Signed off patch
Comment 8 Chris Cormack 2011-04-08 00:06:23 UTC
Pushed, please test